- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vmware_local_user_facts – Gather facts about users on the given ESXi host

New in version 2.6.

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Deprecated in favour of `_info` module.

Alternative

  Use vmware_local_user_info instead.

## Synopsis

- This module can be used to gather facts about users present on the given ESXi host system in VMware infrastructure.

- All variables and VMware object names are case sensitive.

- User must hold the ‘Authorization.ModifyPermissions’ privilege to invoke this module.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user
validate_certs boolean | Choices: no yes ← | Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted. If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead. Environment variable support added in Ansible 2.6. If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on ESXi 6.5

- The `full_name`, `principal`, and `user_group` properties are deprecated starting from Ansible v2.12

## Examples

    - name: Gather facts about all Users on given ESXi host system
      vmware_local_user_facts:
        hostname: '{{ esxi_hostname }}'
        username: '{{ esxi_username }}'
        password: '{{ esxi_password }}'
      delegate_to: localhost
      register: all_user_facts

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
local_user_facts dictionary | always | metadata about all local users Sample: [{'role': 'admin', 'description': 'Administrator', 'full_name': 'Administrator', 'group': False, 'user_group': False, 'user_id': 0, 'user_name': 'root', 'principal': 'root', 'shell_access': True}, {'role': 'admin', 'description': 'DCUI User', 'full_name': 'DCUI User', 'group': False, 'user_group': False, 'user_id': 100, 'user_name': 'dcui', 'principal': 'dcui', 'shell_access': False}]

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Abhijeet Kasurde (@Akasurde)

- Christian Kotte (@ckotte)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.